{{- range $name, $app := .Values.apps -}}
{{- if $app.config -}}
apiVersion: "ingress.varnish-cache.org/v1alpha1"
kind: BackendConfig
metadata:
  name: {{ $name }}-svc-cfg
  labels:
    app.kubernetes.io/name: {{ $name }}-svc-cfg
    app.kubernetes.io/component: ingressBackendConfig
    {{- include "viking-ingress.labels" $ | nindent 4 }}
spec:
  services:
    - {{ $name }}-svc

  {{ toYaml $app.config | nindent 2 }}
---
{{- end -}}
{{- end -}}
